using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace atakanozbancom.Models.classes
{
    [Table("socialicons")]
    public class socialicon
    {
        [Key]
        public int id { get; set; }

        [Required, StringLength(100)]
        [Column("icon")]
        public string icon { get; set; }

        [Required, StringLength(500)]
        [Column("url")]
        public string url { get; set; }

        [Column("sortorder")]
        public int sort_order { get; set; } = 0;
    }
}
